> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get minimal ledger and metered-operation data



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace}/credits/usage
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/credits/usage:
    get:
      summary: Get minimal ledger and metered-operation data
      operationId: getWorkspaceCreditUsage
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreditUsage'
      security:
        - cookieAuth: []
        - bearerAuth:
            - credits:read
components:
  schemas:
    CreditUsage:
      type: object
      properties:
        workspace:
          type: string
        entries:
          type: array
          items:
            type: object
            additionalProperties: {}
        operations:
          type: array
          items:
            type: object
            additionalProperties: {}
      required:
        - workspace
        - entries
        - operations
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````